/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*------------------------------------------------------------------
[ Fonts ]
*/

/*------------------------------------------------------------------
[ Variables ]
*/
:root {
  --gold: #B49739;
}

/*------------------------------------------------------------------
[ General ]
*/
html {
	-webkit-font-smoothing: antialiased;
	font-size: 62.5%;
}
html, body {
	max-width: 100%;
    overflow-x: hidden;
}
body { 
	margin: 0;
	padding: 0;
	color: #111;
    font-family: '';
	font-weight: 400;
	font-style: normal;
	font-size: 2rem;
	line-height: 1.3;
	-webkit-font-smoothing: antialiased;
	-webkit-text-size-adjust: 100%;
	-moz-osx-font-smoothing: grayscale;
	width: 100%;
    background: #fff;
    overflow-x: hidden;
}
*,
*:before,
*:after {
	box-sizing: border-box;
}
.elementor-heading-title,
.elementor-slide-description,
.elementor-gallery-item__description,
.elementor-carousel-image-overlay,
.elementor-cta__description,
.wp-caption .wp-caption-text,
.gallery-caption,
.entry-caption {
    white-space: pre-line;
}
[type="button"], 
[type="submit"], 
button {
    padding: 1rem 2rem;
    border: none;
    font-size: 1.4rem;
}

/*------------------------------------------------------------------
[ Woo ]
*/
.woocommerce-info {
    border-top-color: var(--gold);
}
 .woocommerce-info::before {
    color: var(--gold);
}
.woocommerce .quantity .qty {
    width: 6rem;
}
table.variations {
    text-align: left;
    border-radius: .5rem;
    overflow: hidden;
}
table.variations tr {
    background: none;
}
.woocommerce div.product form.cart .variations select {
    padding: 1rem;
    font-size: 1.4rem;
    max-width: 30rem;
}
.woocommerce div.product form.cart .variations td, 
.woocommerce div.product form.cart .variations th{
    padding: 0;
    background: none;
}
.woocommerce span.onsale {
    padding: .5rem 1rem;
    border-radius: .5rem;
}
.woocommerce ul.products li.product .onsale {
    right: auto;
    left: 0;
    margin: -.5rem 0 0 -.5rem;
}
table thead:first-child tr:first-child th {
    border-block-start: 1px solid rgba(0,0,0,.05);
}
.woocommerce table.shop_table,
.woocommerce table.shop_table th,
.woocommerce table.shop_table tr,
.woocommerce table.shop_table td {
    border: 0 solid rgba(0,0,0,.05);
}
.woocommerce form .form-row .input-text,
.woocommerce form .form-row select,
.woocommerce table.cart td.actions .input-text,
.woocommerce-page #content table.cart td.actions .input-text,
.woocommerce-page table.cart td.actions .input-text {
    width: 20rem;
    font-size: 1.3rem;
}
.woocommerce form .form-row .input-text, 
.woocommerce form .form-row select {
    font-size: 1.4rem;
    width: 100%;
}
#add_payment_method .wc-proceed-to-checkout a.checkout-button,
.woocommerce-cart .wc-proceed-to-checkout a.checkout-button,
.woocommerce-checkout .wc-proceed-to-checkout a.checkout-button {
    display: inline-block;
    text-align: center;
    font-size: 1.6rem;
    padding: 1.5rem 2rem;
    float: right;
    background-color: #333333;
}
#add_payment_method .wc-proceed-to-checkout a.checkout-button:hover,
.woocommerce-cart .wc-proceed-to-checkout a.checkout-button:hover,
.woocommerce-checkout .wc-proceed-to-checkout a.checkout-button:hover {
    background-color: var(--gold);
}
.woocommerce-error, 
.woocommerce-info, 
.woocommerce-message {
    padding: 1em 2em 1em 3.5em !important;
    margin: 0 0 2em !important;
}
.woocommerce-multistep-checkout p.data-privacy {
    max-width: 70rem;
}
.elementor-menu-cart__toggle_button:focus {
    background: transparent !important;
    color: #111111 !important;
}
.trustedShopsWidget {
    padding: 2rem 0 8rem;
}